apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: crossplane
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://charts.crossplane.io/stable
    targetRevision: 1.14.0
    chart: crossplane
    helm:
      releaseName: crossplane
      values: |
        args:
          - --enable-usages
        resourcesCrossplane:
          limits:
            cpu: 1000m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 128Mi
        resourcesRBACManager:
          limits:
            cpu: 500m
            memory: 512Mi
          requests:
            cpu: 50m
            memory: 64Mi
        provider:
          packages:
            - crossplane/provider-kubernetes:v0.12.0
            - crossplane/provider-helm:v0.15.0
            - crossplane/provider-azure:v0.20.0
            - crossplane/provider-aws:v0.40.0
            - crossplane/provider-gcp:v0.35.0
  destination:
    server: https://kubernetes.default.svc
    namespace: crossplane-system
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - PrunePropagationPolicy=foreground

